[<text>
<title>fidelcor &lt;ficr&gt; completes sale of unit</title>
<dateline>    philadelphia, april 8 - </dateline>fidelcor inc said it has completed
the sale of its industrial valley title insurance co subsidiary
to a group of investors including the unit's management for
undisclosed terms.
    industrial valley has assets of about 37.6 mln dlrs and was
acquired last year along with ivb financial corp.
 reuter
</text>]